/*
 * Base structure
 */

 :root {
  --gray-50: #F9FAFB;
  --gray-100: #F3F4F6;
  --gray-200: #E5E7EB;
  --gray-300: #D1D5DB;
  --gray-400: #9CA3AF;
  --gray-500: #6B7280;
  --gray-600: #4B5563;
  --gray-700: #374151;
  --gray-800: #232B37;
  --gray-900: #16191E;
  --white: #FFFFFF;
  --gray: var(--gray-400);
  --black: #000000;
  --primary: #1a6dff;
  --primary-dark: #1D1B28;
  --contrast: #9c27b0;
  --danger: #EF4444;
  --red: #F87171;
  --auction: #e97100;
  --buynow: #0a7a00;
  --getrarity-color: #5c009f;
  --semi-white: rgba(255, 255, 255, 0.2);
  --semi-primary: rgba(29, 27, 40, .2);
  --semi-primary-strong: rgba(29, 27, 40, .5);
  --spacer: 1rem;
  --size-0: 0.125rem;
  --size-1: 0.25rem;
  --size-2: 0.5rem;
  --size-3: 1rem;
  --size-4: 1.5rem;
  --size-5: 2rem;
  --size-6: 3rem;
  --size-7: 5rem;
  --size-8: 8rem;
  --size-9: 12rem;
  --content-width: 80em;
  --font-family-super-title: 'Montserrat', -apple-system,BlinkMacSystemFont,'Segoe UI','Roboto','Oxygen','Ubuntu','Cantarell','Fira Sans','Droid Sans','Helvetica Neue',sans-serif;
  --font-family-title: 'Montserrat', monospace, Montserrat, -apple-system,BlinkMacSystemFont,'Segoe UI','Roboto','Oxygen','Ubuntu','Cantarell','Fira Sans','Droid Sans','Helvetica Neue',sans-serif;
  --font-family-body: 'Montserrat', -apple-system,BlinkMacSystemFont,'Segoe UI','Roboto','Oxygen','Ubuntu','Cantarell','Fira Sans','Droid Sans','Helvetica Neue',sans-serif;
  --font-family-light: 'Montserrat', -apple-system,BlinkMacSystemFont,'Segoe UI','Roboto','Oxygen','Ubuntu','Cantarell','Fira Sans','Droid Sans','Helvetica Neue',sans-serif;
  --font-size-xs: .409rem;
  --font-size-sm: .6875rem;
  --font-size-base: .8125rem;
  --font-size-md: 1rem;
  --font-size-lg: 1.25rem;
  --font-size-xl: 1.5rem;
  --font-size-xxl: 2rem;
  --font-size-xxxl: 3.2rem;
  --font-weight-light: 300;
  --font-weight-base: 400;
  --font-weight-medium: 500;
  --font-weight-semi-bold: 600;
  --font-weight-bold: 700;
  --letter-spacing-sm: 0.05em;
  --letter-spacing-lg: 0.2em;
  --line-height-heading: 1.3;
  --line-height-flow: 1.5;
  --text-light: var(--gray);
  --border-color: var(--gray-700);
  --border-color-dark: var(--primary-dark);
  --border: 1px solid var(--border-color);
  --border-dark: 1px solid var(--border-color-dark);
  --border-thick: 3px;
  --border-radius: var(--size-2);
  --border-radius-sm: var(--size-1);
  --shadow: 0px var(--size-1) var(--size-4) rgba(0, 0, 0, 0.25);
  --shadow-primary: 0px var(--size-1) var(--size-4) var(--semi-primary);
  --shadow-primary-lg: 0px var(--size-2) var(--size-5) var(--semi-primary-strong);
  --speed: .3s;
  --speed-fast: .15s;
  --speed-slow: .8s;
}

body {
  text-shadow: 0 .05rem .1rem rgba(0, 0, 0, .5);
  box-shadow: inset 0 0 5rem rgba(0, 0, 0, .5);
  font-family: var(--font-family-body);
  /*line-height: 1;*/
  font-weight: var(--font-weight-base);
  font-size: var(--font-size-base);
  letter-spacing: 1px;
}

/*
 * Header
 */

.upper {
  text-transform: uppercase;
}

.superbig {
  font-size: var(--font-size-xxxl);
  font-family: var(--font-family-super-title);
  font-weight: var(--font-weight-bold);
  font-style: italic;
  line-height: var(--line-height-heading);
  margin: var(--size-4) 0;
}

.heading {
  font-family: var(--font-family-body);
  font-weight: var(--font-weight-bold);
  line-height: var(--line-height-heading);
}

.collection-sqare {
  background: white;
  width: 100%;
  padding-top: 0.6rem;
  padding-bottom: 0px;
  padding-left: 0.6rem;
  padding-right: 0.6rem;
  position: relative;
  -webkit-animation:scaledown 0.2s linear;
  -moz-animation:scaledown 0.2s linear;
  animation:scaledown 0.2s linear;
  transform-origin:50% 50%;
  animation-fill-mode: forwards;
}

.collection-sqare:hover{
  z-index:100;
  -webkit-animation:scale 0.2s linear;
  -moz-animation:scale 0.2s linear;
  animation:scale 0.2s linear;
  transform-origin:50% 50%;
  animation-fill-mode: forwards;
}

@keyframes scale{
  0%{
    transform:scale(1.0);
  }
  100%{
    transform:scale(1.1);
    -webkit-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
    -moz-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
    -o-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
    box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
  }
}

@keyframes scaledown{
  0%{
    transform:scale(1.1);
  }
   100%{
    transform:scale(1.0);
  }
}

.collection-sqare::after {
  content: "";
  position: absolute;
  top: 98%;
  left: 0;
  height: .900rem;
  width: 100%;
  background: url(/images/paper-down.svg) bottom center;
  background-size: 150%;
  background-repeat: no-repeat;
}

.collection-sqare::before {
  content: "";
  position: absolute;
  top: -0.550rem;
  left: 0;
  height: .650rem;
  width: 100%;
  background: url(/images/paper-up.svg) bottom center;
  background-size: 150%;
  background-repeat: no-repeat;
}

.collection-sqare-shadow {
  -webkit-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
  -moz-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
  -o-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
  box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
}

.collection-sqare-title {
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-bold);
  font-size: .875rem;
  letter-spacing: 0px;
  color: var(--gray-900);
  text-align: center;
  text-transform: uppercase;
  text-shadow: none;
  /*text-decoration: none !important;*/
}

.collection-sqare-subtitle {
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-semi-bold);
  font-size: var(--font-size-base);
  letter-spacing: .012rem;
  color: var(--gray-500);
  text-shadow: none;
  /*align-self: center;*/
}

.collection-sqare-info-icon{
  top: 1rem; 
  left: 1rem;
  outline: none; 
  height: 1.1rem; 
  width: 1.1rem;
}

.collection-sqare-icon{
  width: 0.80em; 
  height: 0.80em; 
  vertical-align: -0.0575em;
}

.upcoming-icon {
  height: 1.75em;
  -webkit-animation: upcoming-icon-scaledown 0.2s linear;
  -moz-animation: upcoming-icon-scaledown 0.2s linear;
  animation: upcoming-icon-scaledown 0.2s linear;
  transform-origin:50% 50%;
  animation-fill-mode: forwards;
}

.upcoming-icon:hover{
  z-index:100;
  -webkit-animation: upcoming-icon-scale 0.2s linear;
  -moz-animation: upcoming-icon-scale 0.2s linear;
  animation: upcoming-icon-scale 0.2s linear;
  transform-origin:50% 50%;
  animation-fill-mode: forwards;
}

@keyframes upcoming-icon-scale{
  0%{
    transform:scale(1.0);
  }
  100%{
    transform:scale(1.25);
  }
}

@keyframes upcoming-icon-scaledown{
  0%{
    transform:scale(1.25);
  }
   100%{
    transform:scale(1.0);
  }
}

.nft-sqare {
  background: white;
  width: 100%;
  padding-top: 0.6rem;
  padding-bottom: 0px;
  padding-left: 0.6rem;
  padding-right: 0.6rem;
  position: relative;
  -webkit-animation:scaledown 0.2s linear;
  -moz-animation:scaledown 0.2s linear;
  animation:scaledown 0.2s linear;
  transform-origin:50% 50%;
  animation-fill-mode: forwards;
}

.nft-sqare:hover{
  z-index:100;
  -webkit-animation:scale 0.2s linear;
  -moz-animation:scale 0.2s linear;
  animation:scale 0.2s linear;
  transform-origin:50% 50%;
  animation-fill-mode: forwards;
}

.nft-sqare::after {
  content: "";
  position: absolute;
  top: 99%;
  left: 0;
  height: 1.050rem;
  width: 100%;
  background: url(/images/paper-down.svg) bottom center;
  background-size: 150%;
  background-repeat: no-repeat;
}

.nft-sqare::before {
  content: "";
  position: absolute;
  top: -0.550rem;
  left: 0;
  height: 0.625rem;
  width: 100%;
  background: url(/images/paper-up.svg) bottom center;
  background-size: 150%;
  background-repeat: no-repeat;
}

.nft-sqare-shadow {
  -webkit-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
  -moz-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
  -o-box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
  box-shadow: 3px 3px 20px -4px rgba(0, 0, 0, 0.6);
}

.nft-sqare-single {
  background: white;
  width: 100%;
  padding-top: 0.6rem;
  padding-bottom: 0px;
  padding-left: 0.8rem;
  padding-right: 0.8rem;
  position: relative;
}

.nft-sqare-single::after {
  content: "";
  position: absolute;
  top: 99%;
  left: 0;
  height: 1.200rem;
  width: 100%;
  background: url(/images/paper-down.svg) bottom center;
  background-size: 150%;
  background-repeat: no-repeat;
}

.nft-sqare-single::before {
  content: "";
  position: absolute;
  top: -0.875rem;
  left: 0;
  height: 0.950rem;
  width: 100%;
  background: url(/images/paper-up.svg) bottom center;
  background-size: 150%;
  background-repeat: no-repeat;
}

.nft-rank-single, .nft-rank-single:hover, .nft-rank-single:focus  {
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-bold);
  font-size: 1.450rem;
  letter-spacing: 0px;
  line-height: 100%;
  color: var(--gray-900);
  text-align: center;
  text-transform: uppercase;
  text-shadow: none;
  margin-top: .325rem;
  margin-bottom: 1.150rem;
}

.nft-name-single {
  position: relative;
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-bold);
  font-size: 1.250rem;
  letter-spacing: 0px;
  line-height: 100%;
  color: var(--gray-700);
  text-align: center;
  text-shadow: none;
  margin-top: .675rem;
  margin-bottom: .675rem;
}

.nft-price-single, .nft-price-single:hover, .nft-price-single:focus {
  color: var(--white); 
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-medium);
  font-size: .800rem;
  /*letter-spacing: 1px;*/
  line-height: 100%;
  margin-top: .275rem;
  margin-bottom: .250rem;
}

.footer-title {
  font-size: var(--font-size-lg);
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-semi-bold);
  position: relative;
}

.search {
  margin: 0 0 var(--size-6) 0;
}

.search fieldset {
  position: relative;
  margin: 0;
  padding: 0;
  max-width: 40rem;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.search .search-text-input {
  width: 100%;
  cursor: pointer;
  position: relative;
  color: var(--white);
  background-color: var(--black);
  appearance: none;
  border-radius: 8px;
  border: var(--border);
  padding: var(--size-3) var(--size-4);
  transition: border-color var(--speed);
  letter-spacing: var(--letter-spacing-sm);
  line-height: inherit;
  font-family: inherit;
  font-size: 100%;
  margin: 0;
}

.search .search-text-input:focus {
  box-shadow: 0 0 0 1px var(--gray-700);
  z-index: 51;
  border-color: var(--gray);
  outline: 0;
}

.search button {
  z-index: 100;
  -webkit-appearance: button;
  position: absolute;
  padding: var(--size-2);
  top: var(--size-2);
  right: var(--size-3);
  line-height: inherit;
  color: inherit;
  cursor: pointer;
  background-color: transparent;
  background-image: none;
  text-transform: none;
  font-family: inherit;
  font-size: 100%;
  margin: 0;
  border: none;
}

.search footer {
  display: none;
  position: absolute;
  z-index: 51;
  right: var(--size-4);
  border: none;
  padding: var(--size-1);
}

.search .icon {
  width: var(--size-3);
  height: var(--size-3);
  display: block;
  vertical-align: middle;
}

.search select {
  max-width: 20rem;
  /*margin-top: 20px;*/
  margin-left: auto;
  margin-right: auto;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  border-radius: 5px;
  color: var(--gray-200);
  background-color: var(--gray-600);
  border: 1px solid  var(--gray-900);
  font-size: var(--font-size-base);
}

.btn-trait-filter {
  width: 100%;
  max-width: 20rem;
  display: block;
  /*margin-top: 20px;*/
  margin-left: auto;
  margin-right: auto;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  border-radius: 5px;
  color: #fff;
  background-color: var(--contrast);
  border-color: var(--contrast);
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-medium);
  text-decoration: none;
}

.btn-trait-filter:hover {
  color: var(--primary);
  text-decoration: none;
}

.trait-filter-offcanvas {
  background-color: var(--primary-dark); 
  color: var(--white);
}

.nft-avatar {
  width: 100%;
  /*background-color: #000;*/
  border-radius: 100%;
  /*max-height: 280px;*/
}

.nft-name {
  position: relative;
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-bold);
  font-size: .950rem;
  letter-spacing: 0px;
  line-height: 100%;
  color: var(--gray-700);
  text-align: center;
  text-shadow: none;
  margin-top: .525rem;
  margin-bottom: .525rem;
}

.nft-info {
  position: relative;
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-medium);
  letter-spacing: 1px;
}

.nft-info svg {
  transition: all var(--speed);
  position: absolute;
  top: -4%;
  left: -8%;
  width: 120%;
  height: 120%;
  z-index: -1;
  display: block;
  vertical-align: middle;
}

.playbtn {
  width: 40px;
  height: 40px;
  margin-bottom: 8px;
  margin-left: -2px;
  opacity: 0;
}

.playbtn:hover {
  opacity: 0.85;
}

.shadow {
  /*box-shadow: 0rem .5rem 1rem rgba(0, 0, 0, 0.5)!important;*/
}

.nft-info svg.shadow {
  margin-left: -.3rem;
  margin-top: .3rem;
}

a:hover .nft-info svg.shadow {
  margin-top: .325rem;
  margin-left: -.325rem;
  transform: rotate(-9deg) !important;
}

a:hover .nft-info svg:not(.shadow) {
  margin-top: .125rem;
  margin-left: -.125rem;
  transform: rotate(9deg) !important;
}

.nft-info span {
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-bold);
  font-size: .875rem;
  letter-spacing: 0px;
  color: var(--gray-900);
  text-align: center;
  text-shadow: none;
}

.nft-description {
  line-height: 1.2rem;
}

.nft-description a {
  text-decoration: none;
  color: var(--primary);
}

.nft-header{
  margin: 0px;
  border-radius: 4px;
}

.nft-rank, .nft-rank:hover, .nft-rank:focus  {
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-bold);
  /*font-size: .950rem;*/
  letter-spacing: 0px;
  color: var(--gray-900);
  text-align: center;
  text-transform: uppercase;
  text-shadow: none;
  /*margin-bottom: .500rem;*/
  font-size: 1.150rem;
  line-height: 1.150rem;
  margin-top: .275rem;
  margin-bottom: .850rem;
}

.nft-price, .nft-price:hover, .nft-price:focus {
  color: var(--white); 
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-medium);
  font-size: .650rem;
  /*letter-spacing: 1px;*/
  line-height: 100%;
  margin-top: .275rem;
  margin-bottom: .250rem;
}

.nft-similar-score, .nft-similar-score:hover, .nft-similar-score:focus {
  color: var(--gray-900);
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-semi-bold);
  font-size: 1rem;
  line-height: 1rem;
  margin-top: .200rem;
  margin-bottom: .850rem;
}

.page-link {
  font-size: var(--font-size-lg);
  font-family: var(--font-family-title);
  background-color: #000;
  border: 0;
  color: #fff;
}

.page-link:hover, .page-link:focus {
  background-color: var(--primary);
  color: #fff;
}

.page-item.disabled .page-link {
  background-color: #000;
  border: 0;
  color: #fff;
}

.rarity-score-block {
  padding: 10px; 
  background-color: var(--primary); 
  border-radius: 10px;
}

.rarity-score-block h4 {
  font-size: var(--font-size-lg);
  font-weight: var(--font-weight-bold);
  letter-spacing: 1px;
}

.rarity-score-sum {
  text-align: center;
  font-size: var(--font-size-xl);
  font-weight: var(--font-weight-bold);
  letter-spacing: 1px;
  padding: 20px;
  border-radius: 10px;
  background-color: var(--semi-primary);
}

.trait-type {
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-semi-bold);
  letter-spacing: 1px;
}

.trait-type-rarity {
  text-align: right; 
  color: var(--primary); 
  font-size: var(--font-size-lg);
  font-weight: var(--font-weight-semi-bold);
  letter-spacing: 1px;
}

.trait-value-block {
  background-color: var(--primary-dark); 
  border-radius: 10px;
  padding: 2px;
  letter-spacing: 1px;
}

.trait-value {
  padding-left: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-semi-bold);
  letter-spacing: 1px;
}

.trait-value-count {
  background-color: var(--gray-300);
  color: var(--black);
  border-radius: 7px;
  text-align: center;
  width: 70px;
  min-width: 70px;
  height: 30px;
  line-height: 30px;
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-semi-bold);
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 3px;
}

.view-on-block {
  background-color: var(--primary-dark); 
  border-radius: 10px;
  border: 1px solid var(--gray-700);
  /*color: var(--white);*/
  font-size: var(--font-size-lg);
  font-weight: var(--font-weight-medium);
  margin-bottom: 10px;
  height: 50px;
  line-height: 50px;
  letter-spacing: 0.5px;
}

.view-on-block:hover{
  background-color: var(--gray-700); 
}

.view-on-icon {
  width: 24px;
  height: 24px;
  position: relative;
  top: -1px;
  left: -2px;
}

.view-on-link, .view-on-link:hover {
  color: var(--white);
  text-decoration: none;
}

.tile {
  width: 135px;
  background-color: var(--primary-dark); 
  border-radius: 10px;
  color: var(--white);
  font-size: var(--font-size-lg);
  margin: 10px;
  overflow: auto;
  padding: 20px 10px;
}

.tile h5, .tile h4 {
  font-family: var(--font-family-body);
  font-weight: var(--font-weight-medium);
  text-align: center;
}

.tile p {
  font-family: var(--font-family-body);
  text-align: center;
  font-size: var(--font-size-sm);
  letter-spacing: 0px;
}

.tile h5 {
  font-size: var(--font-size-base);
}

.tile h4 {
  font-size: var(--font-size-sm);
}

.tile-stats {
  width: 135px;
  background-color: var(--primary-dark); 
  border-radius: 10px;
  color: var(--white);
  font-size: var(--font-size-lg);
  margin: 10px;
  overflow: auto;
  padding-top: 20px;
  padding-right: 10px;
  padding-bottom: 20px;
  padding-left: 10px;
}

.tile-stats h5, .tile-stats h4 {
  font-family: var(--font-family-body);
  font-weight: var(--font-weight-medium);
  text-align: center;
}

.tile-stats p {
  font-family: var(--font-family-body);
  text-align: center;
  font-size: var(--font-size-sm);
  letter-spacing: 0px;
}

.tile-stats h5 {
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-bold);
}

.tile-stats h4 {
  font-size: var(--font-size-md);
}

.dont-break-out {
  /* These are technically the same, but use both */
  overflow-wrap: break-word;
  word-wrap: break-word;
  -ms-word-break: break-all;
  /* This is the dangerous one in WebKit, as it breaks things wherever */
  word-break: break-all;
  /* Instead use this non-standard one: */
  word-break: break-word;
}

.main-container {
  /*min-height: 100vh;*/ /*will cover the 100% of viewport*/
  overflow: hidden;
  display: block;
  position: relative;
  padding-bottom: 2rem;  /*height of footer*/
 }

.page-item.active .page-link {
  z-index: 3;
  color: #fff;
  background-color: var(--contrast);
  border-color: var(--contrast);
}

a {
  color: var(--contrast);
  text-decoration: underline;
}

a:hover {
  color: var(--primary);
  text-decoration: underline;
}

.text-light {
  font-family: var(--font-family-light);
  font-size: var(--font-size-sm);
  letter-spacing: 0px;
  text-align: center;
}

.text-donation {
  font-family: var(--font-family-light);
  font-size: var(--font-size-md);
  letter-spacing: 1px;
  line-height: 1.2em;
  text-align: center;
}

.btn-personalized{
  color: var(--contrast);
  border-color: var(--primary)!important;
  text-decoration: none; 
  font-weight: var(--font-weight-bold); 
  font-size: var(--font-size-sm);
  padding-top: 6px; 
  padding-bottom: 6px; 
  padding-left: 8px; 
  padding-right: 8px; 
  border: 2px solid;
  border-radius: 4px;
  text-align: center;
}

.btn-personalized:hover {
  color: var(--primary);
  background-color: var(--contrast);
  border-color: var(--contrast)!important;
  text-decoration: none; 
  font-weight: var(--font-weight-bold); 
  font-size: var(--font-size-sm);
  padding-top: 6px; 
  padding-bottom: 6px; 
  padding-left: 8px; 
  padding-right: 8px; 
  border: 2px solid;
  border-radius: 4px;
  text-align: center;
}

.btn-personalized-active {
  color: var(--primary);
  background-color: var(--contrast);
  border-color: var(--contrast)!important;
  text-decoration: none; 
  font-weight: var(--font-weight-bold); 
  font-size: var(--font-size-sm);
  padding-top: 6px; 
  padding-bottom: 6px; 
  padding-left: 8px; 
  padding-right: 8px; 
  border: 2px solid;
  border-radius: 4px;
  text-align: center;
}

.btn-highlighted{
  color: var(--white);
  background-color: var(--getrarity-color);
  text-decoration: none; 
  font-weight: var(--font-weight-bold); 
  font-size: var(--font-size-lg);
  padding-top: 6px; 
  padding-bottom: 6px; 
  padding-left: 8px; 
  padding-right: 8px; 
  border-color: var(--primary)!important;
  border: 1px solid;
  border-radius: 4px;
  text-align: center;
}

.btn-highlighted:hover {
  color: var(--white);
  background-color: var(--primary);
  text-decoration: none; 
  font-weight: var(--font-weight-bold); 
  font-size: var(--font-size-lg);
  padding-top: 6px; 
  padding-bottom: 6px; 
  padding-left: 8px; 
  padding-right: 8px; 
  border-color: var(--primary)!important;
  border: 1px solid;
  border-radius: 4px;
  text-align: center;
}

.btn:focus, a:focus, .navbar-toggler:focus, .page-link:focus, .page-item:focus, .btn-close:focus
{
  outline: none;
  box-shadow: none!important;
}

.collapsable {
  background-color: var(--gray-200);
  border-radius: 10px;
  color: var(--black);
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-regular);
  letter-spacing: 1px;
}

.video-container {
    width: 100%;
    max-height: 280px;
    position: relative;
}

.video-controls {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
  padding-bottom: 0px;
  padding-left: 0px;
  width: 25%;
}

.video-container:hover #video-controls {
	opacity: 1;
}

button {
	background: rgba(0,0,0,0);
	border: 0;
	color: #EEE;
}

button:hover {
	cursor: pointer;
}

.row-stats{
  max-width: 75%;
}

.col-stats{
  margin-right: .10rem!important;
  margin-left: .10rem!important;
}

.stats-header {
  font-family: var(--font-family-title);
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-semi-bold);
  letter-spacing: 1px;
  line-height: 1.2em;
  text-align: center;
}

.stats-body {
  font-family: var(--font-family-body);
  font-weight: var(--font-weight-medium);
  font-size: var(--font-size-sm);
  letter-spacing: 1px;
  line-height: 1.2em;
  text-align: center;
}

.tooltip-inner {
  background-color: var(--getrarity-color);
  box-shadow: 0px 0px 4px black;
  opacity: 1 !important;
}
.tooltip.bs-tooltip-right .tooltip-arrow::before {
  border-right-color: var(--getrarity-color) !important;
}
.tooltip.bs-tooltip-left .tooltip-arrow::before {
  border-left-color: var(--getrarity-color) !important;
}
.tooltip.bs-tooltip-bottom .tooltip-arrow::before {
  border-bottom-color: var(--getrarity-color) !important;
}
.tooltip.bs-tooltip-top .tooltip-arrow::before {
  border-top-color: var(--getrarity-color) !important;
}

/*Disable dots or numbers in ol list-item*/
/*li.no-dots-or-numbers {
  list-style-type: none;
}*/

/*.navbar-light .navbar-nav .nav-link {
  color: red;
}

.navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .show>.nav-link {
  color: green;
}*/
/*.navbar-toggler-icon {
  background-color: #9900fb!important;
}

.navbar-toggler {
  color: #9900fb!important;
  border-color: #9900fb!important;
}

.navbar-brand {
  color: #9900fb!important;
}

.navbar-brand:hover {
  color: greenyellow!important;
  text-decoration: none;
}*/

/*.nav-link, .nft-link:active, .nav-link:hover{
  color:white!important;
  text-decoration: none;
}*/

.chart-container{
  background-color: var(--primary-dark); 
  border-radius: .25rem; 
  position: relative; 
  height:60vh;
}

.update-footer-text {
  font-family: var(--font-family-light);
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-base);
  letter-spacing: 1px;
  color: var(--gray-400);
  text-align: center;
}

.header-bottom-line{
    position: absolute;
    top: 100%;
    width: 100%;
    left: 0;
    height: 2px;
    /*border-radius: 2px;
    background: linear-gradient(90deg, var(--getrarity-color) 0%, #00bcd4 99%);*/
    -webkit-animation:gradient_text_key 2s infinite linear; /* Safari & Chrome */
    -moz-animation:gradient_text_key 2s infinite linear; /* Firefox */
    -ms-animation:gradient_text_key 2s infinite linear; /* Internet Explorer */
    -o-animation:gradient_text_key 2s infinite linear; /* Opera */
    animation: gradient_text_key 2s infinite linear;
    font-size: var(--font-size-md);
    font-family: var(--font-family-title);
    font-weight: var(--font-weight-bold);
    background-color: #fff;
    background-image: -webkit-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);   
    background-image:    -moz-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
    background-image:     -ms-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
    background-image:      -o-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
    background-image:       linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
    background-size: 350% 100%;
}

.navbar-toggler {
  padding: 0.25rem 0.75rem;
  /*height: 42px;*/
  /* font-size: 1.25rem; */
  /* line-height: 1; */
  /* background-color: transparent; */
  border: none;
  /* border-radius: 0.25rem; */
  transition: box-shadow .15s ease-in-out;
}

.navbar-nav {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
  font-size: 14px;
  font-family: var(--font-family-title);
  font-weight: var(--font-weight-medium);
  list-style: none;
  text-shadow: none;
  text-align: center;
  text-decoration: none;
  letter-spacing: 1px;
  text-shadow: none;
  align-items: center;
}

.nav-link {
  font-family: var(--font-family-title);
  font-size: 1.1rem;
  font-weight: var(--font-weight-semi-bold);
  outline: none;
  color:var(--gray-400)!important;
  text-decoration: none;
  line-height: 1.3rem;
}

.nav-link:hover {
  color:var(--gray-200)!important;
  text-decoration: none;
}

.collection-header-link {
  font-family: var(--font-family-title);
  font-size: 1.1rem;
  font-weight: var(--font-weight-semi-bold);
  outline: none;
  color:var(--gray-400)!important;
  text-decoration: none;
  line-height: 1rem;
}

.collection-header-link:hover {
  color:var(--gray-200)!important;
}

.collection-header-link.active {
  color:var(--gray-200)!important;
}

.collection-header-icon{
  height: 4em;
}

.gradient-text {
  -webkit-animation: gradient_text_key 2s infinite linear; /* Safari & Chrome */
  -moz-animation: gradient_text_key 2s infinite linear; /* Firefox */
  -ms-animation: gradient_text_key 2s infinite linear; /* Internet Explorer */
  -o-animation: gradient_text_key 2s infinite linear; /* Opera */
  animation: gradient_text_key 2s infinite linear;
  font-weight: var(--font-weight-semi-bold);
  background-color: #fff;
  background-image: -webkit-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);   
  background-image:    -moz-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
  background-image:     -ms-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
  background-image:      -o-linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
  background-image:       linear-gradient(145deg, #9c27b0, #00bcd4, #9c27b0, #00bcd4);
  background-size: 350% 100%;
  border-radius: 1rem;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* gradient-keyframes */
@keyframes gradient_text_key {
  0% {
    background-position: 0 0;
    }
  100% {
    background-position: 100% 0;
  }
}

::selection{
  color: #fff;
  background: #664AFF;
}

.wrapper{
  max-width: 40em;
  /* su mobile mettere il margin*/
  /*margin: 6px;*/
}

.wrapper .header-search-div{
  background: #fff;
  width: 100%;
  max-width: 100%;
  border-radius: 5px;
  position: relative;
  box-shadow: 0px 1px 5px 3px rgba(0,0,0,0.12);
}

.header-search-div input{
  height: 46px;
  width: 100%;
  outline: none;
  border: none;
  border-radius: 5px;
  padding: 0 60px 0 20px;
  font-size: var(--font-size-md);
  box-shadow: 0px 1px 5px rgba(0,0,0,0.1);
}

.header-search-div .active input{
  border-radius: 5px 5px 0 0;
}

.header-search-div .result-box{
  padding: 0;
  opacity: 0;
  pointer-events: none;
  overflow-y: auto;
  width: 100%;
  border: solid;
  border-radius: 5px;
  border-color: var(--gray-300);
  max-height: calc(11rem + 150px);
  background: var(--white);
  position: absolute!important;
}

.header-search-div.active .result-box{
  /*padding: 10px 8px;*/
  opacity: 1;
  pointer-events: auto;
}

.result-box li{
  list-style: none;
  padding: 8px 12px;
  display: none;
  width: 100%;
  cursor: pointer;
  /*border-radius: 3px;*/
  color: var(--gray-900);
  font-family: var(--font-family-light);
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-medium);
  letter-spacing: 0px;
  background: var(--white);
}

.header-search-div.active .result-box li{
  display: block;
}
.result-box li:hover{
  background: #efefef;
}

.header-search-div .icon-search{
  position: absolute;
  right: 12px;
  top: 15px;
  height: 16px;
  width: 16px;
  /*text-align: center;
  line-height: 46px;
  vertical-align:middle;
  font-size: 20px;
  color: #644bff;
  cursor: pointer;*/
}

.icon-social{
  height: 1.40em;
  filter: invert(50%) sepia(4444%) saturate(1578%) hue-rotate(180deg) brightness(99%) contrast(10%)
}

.icon-social:hover{
  filter: none;
}

/*.header-div-logo {
  padding-top: 0.3125rem;
  padding-bottom: 0.3125rem;
  margin-right: 1rem;
  white-space: nowrap;
}*/

/*.header-div-social {
  padding-top: 0.3125rem;
  padding-bottom: 0.3125rem;
  margin-right: 1rem;
  white-space: nowrap;
}*/


/* Works on Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: var(--getrarity-color) var(--gray-300);
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 8px;
}

*::-webkit-scrollbar-track {
  background-color: var(--gray-300);
  border-radius: 100px;
}

*::-webkit-scrollbar-thumb {
  background-image: linear-gradient(180deg, var(--getrarity-color) 0%, #1a6dff 99%);
  box-shadow: inset 2px 2px 5px 0 rgba(#fff, 0.5);
  border-radius: 100px;
}

@media (max-width: 575.98px) {
  .superbig {
    font-size: var(--font-size-xxl);
    margin: var(--size-3) 0;
  }
  .search {
    margin: 0 0 var(--size-3) 0;
  }
  .nav-link {
    font-family: var(--font-family-title);
    font-size: var(--font-size-md);
    outline: none;
  }

  .shadow {
    box-shadow: 0rem .5rem 1rem rgba(0, 0, 0, 0.5)!important;
  }

  .nft-sqare {
    padding-left: .550rem;
    padding-right: .550rem;
  }

  .nft-sqare-single {
    padding-left: .950rem;
    padding-right: .950rem;
  }

  .nft-info {
    letter-spacing: 0.3px;
  }
  
  .nft-info svg {
    width: 100%;
    height: 100%;
    left: 0%;
  }

  .playbtn {
    width: 30px;
    height: 30px;
    opacity: 0;
  }

  .nft-info svg {
    transition: all var(--speed);
    position: absolute;
    top: -2%;
    left: -8%;
    width: 120%;
    height: 120%;
    z-index: -1;
    display: block;
    vertical-align: middle;
  }

  .nft-info span {
    font-size: .800rem; 
  }

  .nft-rank, .nft-rank:hover, .nft-rank:focus {
    font-size: .875rem;
    line-height: .875rem;
    margin-bottom: .800rem;
    margin-top: .100rem;
    margin-bottom: .900rem;
  }

  .nft-rank-single, .nft-rank-single:hover, .nft-rank-single:focus {
    font-size: 1.350rem;
    margin-top: .250rem;
    margin-bottom: 1.050rem;
  }

  .nft-name-single {
    font-size: 1.150rem;
    margin-top: .625rem;
    margin-bottom: .625rem;
  }

  .nft-price-single, .nft-price-single:hover, .nft-price-single:focus {
    font-size: .725rem;
  }

  .nft-name {
    font-size: .775rem;
    margin-top: .450rem;
    margin-bottom: .450rem;
  }
  
  .nft-price, .nft-price:hover, .nft-price:focus {
    font-size: .550rem;
  }
  
  .row-stats{
    max-width: 100%;
    padding-left: 10px;
    padding-right: 10px;
  }
  .stats-header , .stats-body{
    letter-spacing: 0.6px;
  } 

  .col-stats{
    margin-right: .25rem!important;
    margin-left: .25rem!important;
  }

  .chart-container{
    height:40vh;
  }

  .update-footer-text {
    font-size: var(--font-size-sm);
    font-weight: var(--font-weight-base);
    letter-spacing: 0px;
  }

  .collection-sqare-title {
    font-size: .800rem;
  }

  .collection-sqare-subtitle {
    font-size: .700rem;
  }

  .upcoming-icon {
    height: 1.50em;
  }

  .collection-header-link {
    font-size: 0.9rem;
  }

  .collection-header-icon{
    height: 3.50em;
  }
}

@media (max-width: 390px) {
  .nft-sqare {
    padding-left: .450rem;
    padding-right: .450rem;
  }

  .nft-info span {
    font-size: .700rem; 
  }

  .collection-sqare {
    padding-top: 0.4rem;
    padding-bottom: 0px;
    padding-left: 0.4rem;
    padding-right: 0.4rem;
  }

  .collection-sqare::after {
    top: 98%;
    height: .550rem;
  }
  
  .collection-sqare::before {
    top: -0.450rem;
    left: 0;
    height: 0.550rem;
  }

  .collection-sqare-title {
    font-size: .700rem;
  }

  .collection-sqare-subtitle {
    font-size: .600rem;
  }

  .collection-sqare-info-icon{
    top: 0.7rem; 
    left: 0.7rem;
  }

  /*.upcoming-icon {
    height: 1.25em;
  }*/

  .collection-header-link {
    font-size: 0.8rem;
  }

  .collection-header-icon{
    height: 3.25em;
  }

  .nft-rank, .nft-rank:hover, .nft-rank:focus {
    font-size: .750rem;
    line-height: .750rem;
  }

  .nft-name {
    font-size: .725rem;
  }

  .nft-price, .nft-price:hover, .nft-price:focus {
    font-size: .500rem;
    letter-spacing: 0.4px;
  }

  .nft-rank-single, .nft-rank-single:hover, .nft-rank-single:focus {
    font-size: 1.150rem;
    margin-top: .050rem;
    margin-bottom: .750rem;
  }

  .nft-name-single {
    font-size: 1.050rem;
    margin-top: .525rem;
    margin-bottom: .525rem;
  }

  .nft-similar-score, .nft-similar-score:hover, .nft-similar-score:focus {
    font-size: .750rem;
    line-height: .750rem;
  }

  .view-on-block {
    font-size: var(--font-size-md);
    margin-bottom: 8px;
    height: 40px;
    line-height: 40px;
  }

}

@media (max-width: 350px) {
  .nft-info span {
    font-size: .650rem; 
  }

  .collection-sqare {
    padding-top: 0.3rem;
    padding-bottom: 0px;
    padding-left: 0.3rem;
    padding-right: 0.3rem;
  }

  .collection-sqare-title {
    font-size: .650rem;
  }

  .collection-sqare-subtitle {
    font-size: .550rem;
  }

  .collection-sqare-info-icon{
    top: 0.5rem; 
    left: 0.5rem;
    height: 0.7rem; 
    width: 0.7rem;
  }

  .upcoming-icon {
    height: 1em;
  }

  .view-on-block {
    font-size: var(--font-size-base);
    margin-bottom: 8px;
    height: 40px;
    line-height: 40px;
  }
}